import { useDelete, useGet, usePost, usePut } from '~@/utils/request'

export async function getListApi(params) {
  return useGet('/v1/gateway/list', params)
}

export async function addApi(data) {
  return usePost('/v1/gateway/add', data)
}

export async function updateApi(data) {
  return usePut('/v1/gateway/edit', data)
}

export async function deleteApi(id) {
  return useDelete(`/v1/gateway/del`, { id })
}